package network;

import java.util.ArrayList;

import Interfaces.LogInterface;

import node.Node;

public class Network implements LogInterface {

	private ArrayList<Node> nodeList;
	
	public Network()
	{
		nodeList = new ArrayList<Node>();
	}
	
	public final void addNode(Node node)
	{
		nodeList.add(node);
	}
	
	public final void displayInfo()
	{
		for (Node node:nodeList )
		{
			node.displayInfo();
		}
	}
}
