import network.Network;
import node.neuron.*;

public final class MyNetwork {	


	public static void main(String[] args) {

		// --- neural network ---
		
		System.out.println("\nArtificial neurons.");
		
		Network myNeuralNetwork = new Network();
		
		Neuron node1 = new SigmoidNeuron();
		Neuron node2 = new SigmoidNeuron();
		Neuron node3 = new LinearNeuron();
		
		try{
			myNeuralNetwork.addNode(node1);
			myNeuralNetwork.addNode(node2);
			myNeuralNetwork.addNode(node3);
		}
		catch ( Exception e )
		{
			System.out.println("[error] adding nodes to neural network.");
		}
		
		node1.setInputValue(4);
		node1.compute();
		node2.setInputValue(-3);
		node2.compute();
		node3.setInputValue(node1.getOutputValue()+node2.getOutputValue());
		node3.compute();
		
		myNeuralNetwork.displayInfo();
		
		System.out.println("\nTerminate.");
		
		
	}

}
