package node.neuron;

import node.Node;

public abstract class Neuron extends Node{
	
	private double outputValue;
	protected double inputValue;
	
	public void displayInfo ()
	{
		System.out.println("("+outputValue+")");
	}
	
	public final double getOutputValue()
	{
		return outputValue;
	}

	protected final void setOutputValue( double value )
	{
		outputValue = value;
	}

	public final void setInputValue( double value )
	{
		inputValue = value;
	}
	
	public final Object getClassOfReference()
	{
		return Neuron.class;
	}

}
